Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/math/scilab/Makefile,v
retrieving revision 1.68
diff -u -r1.68 Makefile
--- Makefile	31 May 2010 01:59:48 -0000	1.68
+++ Makefile	30 Aug 2010 02:52:21 -0000
@@ -7,10 +7,13 @@
 
 PORTNAME=	scilab
 PORTVERSION=	5.2.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	math cad parallel java
-MASTER_SITES=	http://www.scilab.org/download/${PORTVERSION}/
-EXTRACT_SUFX=	-src.tar.gz
+MASTER_SITES=	http://www.scilab.org/download/${PORTVERSION}/:scilab \
+		http://www.bayofrum.net/dist/jgraphx/:jgraphx \
+		http://cerberus.bayofrum.net/dist/jgraphx/:jgraphx
+DISTFILES=	${DISTNAME}-src.tar.gz:scilab
+EXTRACT_ONLY=	${DISTNAME}-src.tar.gz
 
 MAINTAINER=	rfarmer@predatorlabs.net
 COMMENT=	Scientific software package for numerical computations
@@ -21,7 +24,7 @@
 		pcre.0:${PORTSDIR}/devel/pcre \
 		readline.6:${PORTSDIR}/devel/readline
 
-MAKE_JOBS_UNSAFE=	yes
+MAKE_JOBS_SAFE=	yes
 
 USE_FORTRAN=	yes
 USE_GETTEXT=	yes
@@ -84,13 +87,16 @@
 PLIST_SUB+=	NOGUI=""
 NOPORTDOCS=	YES
 .else
+DISTFILES+=	${JGRAPHX_JAR}:jgraphx
+JGRAPHX_VERSION=	1.3.0.0
+JGRAPHX_JAR=	jgraphx-${JGRAPHX_VERSION:C/\./_/g}.jar
+
 LIB_DEPENDS+=	hdf5.6:${PORTSDIR}/science/hdf5-18
 
 BUILD_DEPENDS+=	ant:${PORTSDIR}/devel/apache-ant \
 		${JAVALIBDIR}/flexdock-0.5.1.jar:${PORTSDIR}/devel/flexdock \
 		${JAVALIBDIR}/jogl.jar:${PORTSDIR}/graphics/jogl \
 		${JAVALIBDIR}/commons-logging.jar:${PORTSDIR}/java/jakarta-commons-logging \
-		${JAVALIBDIR}/jgraphx.jar:${PORTSDIR}/java/jgraphx \
 		${JAVALIBDIR}/looks.jar:${PORTSDIR}/devel/looks \
 		${JAVALIBDIR}/skinlf.jar:${PORTSDIR}/x11-toolkits/skinlf \
 		${JAVALIBDIR}/jrosetta-API.jar:${PORTSDIR}/java/jrosetta \
@@ -112,7 +118,6 @@
 RUN_DEPENDS+=	${JAVALIBDIR}/flexdock-0.5.1.jar:${PORTSDIR}/devel/flexdock \
 		${JAVALIBDIR}/jogl.jar:${PORTSDIR}/graphics/jogl \
 		${JAVALIBDIR}/commons-logging.jar:${PORTSDIR}/java/jakarta-commons-logging \
-		${JAVALIBDIR}/jgraphx.jar:${PORTSDIR}/java/jgraphx \
 		${JAVALIBDIR}/looks.jar:${PORTSDIR}/devel/looks \
 		${JAVALIBDIR}/skinlf.jar:${PORTSDIR}/x11-toolkits/skinlf \
 		${JAVALIBDIR}/jrosetta-API.jar:${PORTSDIR}/java/jrosetta \
@@ -209,6 +214,9 @@
 	${REINPLACE_CMD} -e 's|$$jardir/batik.jar|${LOCALBASE}/share/java/batik/batik.jar|g' ${WRKSRC}/configure
 	${REINPLACE_CMD} -e 's|$$jardir/fop.jar|${LOCALBASE}/share/java/fop/build/fop.jar|' ${WRKSRC}/configure
 	${REINPLACE_CMD} -e 's|$$jardir/jeuclid-core*.jar|${LOCALBASE}/share/java/jeuclid/repo/jeuclid-core*.jar|' ${WRKSRC}/configure
+	${MKDIR} ${WRKSRC}/thirdparty
+	${CP} ${DISTDIR}/${JGRAPHX_JAR} ${WRKSRC}/thirdparty/jgraphx.jar
+	${REINPLACE_CMD} -e 's|@JGRAPHX@|${DATADIR}/modules/jgraphx.jar|g' ${WRKSRC}/etc/classpath.xml.in
 	# Build fixes
 	${REINPLACE_CMD} -e 's|$$(CFLAGS:-O%=)|-I${LOCALBASE}/include -L${LOCALBASE}/lib|' ${WRKSRC}/modules/elementary_functions/Makefile.in
 	${REINPLACE_CMD} -e 's|freebsd|__FreeBSD__|g' ${WRKSRC}/modules/sparse/includes/spConfig.h
@@ -223,6 +231,9 @@
 		${WRKSRC}/modules/call_scilab/examples/call_scilab/NET/VB.NET/My_Project/
 	${REINPLACE_CMD} -e 's|My Project|My_Project|g' ${WRKSRC}/modules/call_scilab/examples/call_scilab/NET/VB.NET/VB.NET.vbproj
 	${REINPLACE_CMD} -e 's|$$(libdir)/pkgconfig|${PREFIX}/libdata/pkgconfig|' ${WRKSRC}/Makefile.in
+	# Run fixes
+	${REINPLACE_CMD} -e 's|%%JAVALIBDIR%%|${JAVALIBDIR}|' ${WRKSRC}/etc/librarypath.xml
+	${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/etc/librarypath.xml
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e '/%%PORTDOCS%%/d' ${WRKSRC}/Makefile.in
 .else
@@ -233,5 +244,6 @@
 	@${FIND} ${WRKSRC} -name \*.orig -delete
 	@${FIND} ${WRKSRC} -name \*.bak -delete
 	@${FIND} ${WRKSRC} -name .cvsignore -delete
+	@${MKDIR} ${DATADIR}/modules && ${INSTALL_DATA} ${DISTDIR}/${JGRAPHX_JAR} ${DATADIR}/modules/jgraphx.jar
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/math/scilab/distinfo,v
retrieving revision 1.17
diff -u -r1.17 distinfo
--- distinfo	30 Apr 2010 08:54:39 -0000	1.17
+++ distinfo	30 Aug 2010 00:46:19 -0000
@@ -1,3 +1,6 @@
 MD5 (scilab-5.2.2-src.tar.gz) = 35e8a22edb348f405360d3a07ed4faab
 SHA256 (scilab-5.2.2-src.tar.gz) = 6f8800bc8ac9128187d1f9a98a5e459bbfa2b66967caed8ab659ff2ba51f1cf2
 SIZE (scilab-5.2.2-src.tar.gz) = 54088580
+MD5 (jgraphx-1_3_0_0.jar) = b9e24f0b428c679697e763e9b0ba5671
+SHA256 (jgraphx-1_3_0_0.jar) = 0f3728b47c9fd3977a063212f68e43639c2283eb84fbce437275b679e6e4a6b2
+SIZE (jgraphx-1_3_0_0.jar) = 326596
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/math/scilab/pkg-plist,v
retrieving revision 1.19
diff -u -r1.19 pkg-plist
--- pkg-plist	30 Apr 2010 08:54:39 -0000	1.19
+++ pkg-plist	30 Aug 2010 02:21:37 -0000
@@ -5704,6 +5704,7 @@
 %%GUI%%%%DATADIR%%/modules/javasci/tests/unit_tests/javac.sci
 %%GUI%%%%DATADIR%%/modules/javasci/tests/unit_tests/test_java.sci
 %%GUI%%%%DATADIR%%/modules/javasci/version.xml
+%%GUI%%%%DATADIR%%/modules/jgraphx.jar
 %%DATADIR%%/modules/jvm/changelog.txt
 %%DATADIR%%/modules/jvm/etc/jvm.quit
 %%DATADIR%%/modules/jvm/etc/jvm.start
Index: files/patch-etc-librarypath.xml
===================================================================
RCS file: files/patch-etc-librarypath.xml
diff -N files/patch-etc-librarypath.xml
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-etc-librarypath.xml	30 Aug 2010 01:47:35 -0000
@@ -0,0 +1,21 @@
+--- etc/librarypath.xml.orig	2010-08-18 22:12:51.000000000 -0700
++++ etc/librarypath.xml	2010-08-18 22:15:41.000000000 -0700
+@@ -29,16 +29,11 @@
+ <path value="$SCILAB/modules/xpad/.libs"/>
+ <path value="$SCILAB/.libs"/>
+ 
+-<!-- Default path to the JNI classes under some Linux (JoGL under Debian for example) -->
+-<path value="/usr/lib/jni/"/>
+-
+ <!-- Make install with prefix -->
+ <path value="$SCILAB/../../lib/scilab/"/>
+ 
+ <!-- Standard path -->
+-<path value="/usr/lib/scilab/"/>
+-
+-<!-- Standard path for 64 bits -->
+-<path value="/usr/lib64/scilab/"/>
++<path value="%%JAVALIBDIR%%/"/>
++<path value="%%PREFIX%%/lib/"/>
+ 
+ </librarypaths>